#!/usr/bin/env python
#
# Copyright (C) 2009 Leonid Movshovich <event.riga@gmail.com>
#
# ktorrent2deluge_post is a free software.
#
# You may redistribute it and/or modify it under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation; either version 3 of the License, or (at your option)
# any later version.
#
# deluge is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with deluge.    If not, write to:
# 	The Free Software Foundation, Inc.,
# 	51 Franklin Street, Fifth Floor
# 	Boston, MA    02110-1301, USA.
#
# 
#

from sys import argv, exit
import os
import cPickle

USAGE = '''This script will take the deluge state file and rename all the 
torrent files named by filename to correct torrent_id.torrent form
USAGE: %1s <torrents.state> <state-dir>'''

if len(argv) != 3 :
    print USAGE % argv[0]
    exit(1)

tormgrstate = cPickle.load(open(argv[1], 'rb'))
origpath = os.getcwd()
os.chdir(argv[2])
try:
    for tor in tormgrstate.torrents :
        os.rename(tor.filename, tor.torrent_id + '.torrent')
finally :
    os.chdir(origpath)

